Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vistech.imageviewer
Interface ZoomController

All Known Subinterfaces:
  PanZoomController

All Known Implementing Classes:
  Zoom

public interface ZoomController

Specifies methods to zoom an image.

Version:
  1.0 1 Nov 1999
Author:
  Lawrence Rodrigues

Method Summary
`double` | `getMagFactor()` Gets the magFactor property.
`void` | `magnify(int magCenterX, int magCenterY)` This method magnifies the image with (magCenterX, magCenterY) as the center of magnification.
`void` | `magnify(int magCenterX, int magCenterY, double mag)` This method magnifies the image by mag with (magCenterX, magCenterY) as the center of magnification.
`void` | `paintImage(int magCenterX, int magCenterY, double mag)` This method magnifies the image with (magCenterX, magCenterY) as the center of magnification.
`void` | `setMagFactor(double magFactor)` Sets the magFactor property.

Method Detail

### setMagFactor

    public void setMagFactor(double magFactor)

  Sets the magFactor property.
  Parameters:
    `magFactor` - the magnification factor.

### getMagFactor

    public double getMagFactor()

  Gets the magFactor property.
  Returns:
    the magFactor.

### magnify

    public void magnify(int magCenterX,
                        int magCenterY,
                        double mag)

  This method magnifies the image by mag with (magCenterX, magCenterY) as the center of magnification. As a side effect, the magFactor property is set to mag.
  Parameters:
    `magCenterX` - the x coordiante of the mag center.
    `magCenterY` - the y coordiante of the mag center.
    `mag` - the mag factor.

### magnify

    public void magnify(int magCenterX,
                        int magCenterY)

  This method magnifies the image with (magCenterX, magCenterY) as the center of magnification. The mag value is obtained from the magFactor property.
  Parameters:
    `magCenterX` - the x coordiante of the mag center.
    `magCenterY` - the y coordiante of the mag center.

### paintImage

    public void paintImage(int magCenterX,
                           int magCenterY,
                           double mag)

  This method magnifies the image with (magCenterX, magCenterY) as the center of magnification. As a side effect, the magFactor is set to mag. The magnified image becomes the new current image. Subsequent calls to this method will magnify this current image. The difference between magnify() and this method is that magnify() doesnot change the current image. This means that subsequent calls to magnify() will produce the same result if it is invoked with the same arguments. On the other hand, subsequent calls to paintImage() with the same mag value will result in "zoom in" or "zoom out" depending on whether the mag is greater or less than 1.0.
  Parameters:
    `magCenterX` - the x coordiante of the mag center.
    `magCenterY` - the y coordiante of the mag center.
    `mag` - the mag factor.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD